# How-To
## Send files directly from context menu on Windows
### Registering to open files with MoreLoad
The [File Handling API](https://learn.microsoft.com/en-us/microsoft-edge/progressive-web-apps-chromium/how-to/handle-files) is implemented

This is still experimental and must be enabled via a flag **before** the PWA is installed to Windows.
1. [Enabled feature in Edge](https://learn.microsoft.com/en-us/microsoft-edge/progressive-web-apps-chromium/how-to/handle-files#enable-the-file-handling-api)
2. Install MoreLoad by visiting https://moreload.com/ with the Edge browser and install it as described [here](faq.md#help--i-cant-install-the-pwa-).
3. You are done! You can now send most files one at a time via MoreLoad:
   
   _context menu > Open with > MoreLoad_

[//]: # (Todo: add screenshots)

### Sending multiple files to MoreLoad
Outstandingly, it is also possible to send multiple files to MoreLoad via the context menu by adding MoreLoad to the `Send to` menu:
1. [Register MoreLoad as file handler](#registering-to-open-files-with-moreload) 
2. Hit Windows Key+R, type: `shell:programs` and hit Enter.
3. Copy the MoreLoad shortcut from the directory
4. Hit Windows Key+R, type: `shell:sendto` and hit Enter.
5. Paste the copied shortcut into the directory
6. You are done! You can now send multiple files (but no directories) directly via MoreLoad:
   
   _context menu > Send to > MoreLoad_

[//]: # (Todo: add screenshots)

## Send directly from share menu on iOS
I created an iOS shortcut to send images, files, folder, URLs or text directly from the share-menu 
https://routinehub.co/shortcut/13990/

[//]: # (Todo: add doku with screenshots)


## Send directly from share menu on Android
The [Web Share Target API](https://developer.mozilla.org/en-US/docs/Web/Manifest/share_target) is implemented.

When the PWA is installed, it will register itself to the share-menu of the device automatically.


## Send directly via command-line interface
Send files or text with MoreLoad via command-line interface.

This opens MoreLoad in the default browser where you can choose the receiver.

### Usage
```bash
$ moreload -h
Current domain: https://moreload.com/

Usage:
Open MoreLoad:          moreload
Send files:             moreload file/directory
Send text:              moreload -t "text"
Specify domain:         moreload -d "https://moreload.com/"
Show this help text:    moreload (-h|--help)
```

On Windows Command Prompt you need to use bash: `bash moreload -h`


### Setup
Download the bash file: [moreload-cli/moreload](/moreload-cli/moreload).

#### Linux
1. Put file in a preferred folder e.g. `/usr/local/bin`
2. Make sure the bash file is executable. Otherwise, use `chmod +x moreload`
3. Add absolute path of the folder to PATH variable to make `moreload` available globally by executing
   `export PATH=$PATH:/opt/moreload-cli`

#### Mac
1. add bash file to `/usr/local/bin`

#### Windows
1. Put file in a preferred folder e.g. `C:\Users\Public\moreload-cli`
2. Search for and open `Edit environment variables for your account`
3. Click `Environment Variables...`
4. Under *System Variables* select `Path` and click *Edit...*
5. Click *New*, insert the preferred folder (`C:\Users\Public\moreload-cli`), click *OK* until all windows are closed
6. Reopen Command prompt window

[< Back](/README.md)
